Subject: [bug#68676] [PATCH v2] gnu: torbrowser: Update to 13.0.9.

From: Clément Lassieur <[email-masked]>
Date: Wed, 31 Jan 2024 03:09:21 +0100

Hi André,

On Tue, Jan 30 2024, André Batista wrote:

> Hi Clément,
>
> qui 25 jan 2024 às 01:32:16 (1706157136), [email-masked] enviou:
>> * gnu/packages/gnuzilla.scm: Stop exporting ‘all-mozilla-locales’.
>> * gnu/packages/tor.scm (mozilla-locale): New procedure copied from
>> gnuzilla.scm.
>> (mozilla-locales): New macro adapted from gnuzilla.scm.
>> (%torbrowser-locales): Add sha256 and changeset for each locale and update
>> them all.
>> (%moz-build-date): Update to 20240123154553.
>
> Just to be clear: we are not trying to mimic upstream here, right?
> Upstream buildID is '20240115174022'. I have no web developing experience
> so I'm not sure if this could be used to make guix users apart. From a
> quick web search, I've found this two articles:

Indeed, my bad, I pushed a fix.  I'm just slow to understand what you
meant initially^^.  But I fully agree.  I added a comment to explain,
too.

> https://developer.mozilla.org/en-US/docs/Web/API/Navigator/buildID
> https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/API/Runtime/getBrowserInfo
>
> Runing the command on the first one in the browser console I get back the
> fixed mozilla buildID, not the one that is defined.
>
> The second one appears to be only available to web extensions. At least I
> could not run it on the console. I don't know if there are any tricks
> that I may be missing to import those APIs and make them available. If
> only available to installed extensions, it would be less of a concern to
> me.
>
> Other than that, everything looks good to me. Nice job on picking those
> locale commit changes, I had missed them entirely.

Thanks for reviewing!

> Cheers,